Subject: [babel] Fwd: New Version Notification for draft-mahesh-babel-yang-model-00.txt

From: Mahesh Jethanandani <[email-masked]>
Date: Sun, 21 Oct 2018 16:08:57 -0700

This a very early effort to write-up a YANG data model based on the information model. I notice that there has been quite a bit of discussion around the info model, and the next version of this draft will try to address some of the issues that have been brought up there, as and when they are addressed by the info model.

> Begin forwarded message:
> 
> From: [email-masked] <mailto:[email-masked]>
> Subject: New Version Notification for draft-mahesh-babel-yang-model-00.txt
> Date: October 21, 2018 at 3:50:02 PM PDT
> To: "Mahesh Jethanandani" <[email-masked] <mailto:[email-masked]>>, "Barbara Stark" <[email-masked] <mailto:[email-masked]>>
> 
> 
> A new version of I-D, draft-mahesh-babel-yang-model-00.txt
> has been successfully submitted by Mahesh Jethanandani and posted to the
> IETF repository.
> 
> Name:		draft-mahesh-babel-yang-model
> Revision:	00
> Title:		YANG Data Model for Babel
> Document date:	2018-10-21
> Group:		Individual Submission
> Pages:		24
> URL:            https://www.ietf.org/internet-drafts/draft-mahesh-babel-yang-model-00.txt <https://www.ietf.org/internet-drafts/draft-mahesh-babel-yang-model-00.txt>
> Status:         https://datatracker.ietf.org/doc/draft-mahesh-babel-yang-model/ <https://datatracker.ietf.org/doc/draft-mahesh-babel-yang-model/>
> Htmlized:       https://tools.ietf.org/html/draft-mahesh-babel-yang-model-00 <https://tools.ietf.org/html/draft-mahesh-babel-yang-model-00>
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-mahesh-babel-yang-model <https://datatracker.ietf.org/doc/html/draft-mahesh-babel-yang-model>
> 
> 
> Abstract:
>   This document defines a data model for the Babel routing protocol.
>   The data model is defined using the YANG data modeling language.
> 
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> The IETF Secretariat
>

---

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Mon, 22 Oct 2018 22:07:24 +0200

Mahesh Jethanandani <[email-masked]> writes:

> This a very early effort to write-up a YANG data model based on the
> information model. I notice that there has been quite a bit of
> discussion around the info model, and the next version of this draft
> will try to address some of the issues that have been brought up
> there, as and when they are addressed by the info model.

Hi Mahesh

This is great, thanks for working on it!

I'm not familiar with yang, so can't really comment on that side of it,
but guess I'll try to find time to at least scroll through it and see if
there's anything that sticks out from the protocol implementation PoV :)

-Toke

---

From: Juliusz Chroboczek <[email-masked]>
Date: Tue, 23 Oct 2018 19:21:00 +0200

Gee, thanks a lot.

The description of security.enable should mention explicitly that if set,
unauthenticated packets are ignored on this interface.

Interfaces.reference: is the description of "objects at any layer", which
I understand was taken from Barbara's information model, still useful in
Yang?  I'd expect the notion of interface to be included by reference to
another document.

I think that external-cost has been flushed from the information model.
Barbara?

All the seqno objects (exp-mcast-hello-seqno, route.seqno, etc.) should be
of type uint16.  The seqnos are interpreted modulo 2^16, as described in
Section 3.2.1 of draft-ietf-babel-rfc6126bis.

All the metric objects should be of type uint16, with 0xFFFF representing
infinity.

I may be missing something, but I don't see an outgoing interface for the
route object.

Thanks again,

-- Juliusz

---

From: Mahesh Jethanandani <[email-masked]>
Date: Tue, 23 Oct 2018 16:01:44 -0700

Hi Juliusz,

Thanks first of all for reviewing the document.

In general, you would have noticed that the description fields in the model have been cut and pasted from the information model. I am going to assume that those comments are intended for the information model also.

> On Oct 23, 2018, at 10:21 AM, Juliusz Chroboczek <[email-masked]> wrote:
> 
> Gee, thanks a lot.
> 

Ok. Will add.

> Yang?  I'd expect the notion of interface to be included by reference to

It is referencing interface definition in RFC 8343, which the model includes, using the prefix ‘if'. Therefore the type is 'if:interface-ref’. I will add an explicit reference to the RFC in the next update.

> Section 3.2.1 of draft-ietf-babel-rfc6126bis.

Ok. Thanks for the clarification.

> All the metric objects should be of type uint16, with 0xFFFF representing

Ok.

> I may be missing something, but I don't see an outgoing interface for the

Would this be different or separate from the list of interfaces under the babel-interfaces-obj? The information model does not seem to call out a separate outgoing interface.

Thanks.

> -- Juliusz

Mahesh Jethanandani
[email-masked]